Subject: Re: [PATCH] zsh x font family completion
From: Mikael Magnusson <[email-masked]>
To: Marko Myllynen <[email-masked]>
Cc: zsh workers <[email-masked]>
Date: Mon, 9 May 2016 15:04:24 +0200
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Mon, May 9, 2016 at 2:54 PM, Marko Myllynen <[email-masked]> wrote:
> Hi,
>
> I'm working on completions for a command which has an option to select
> the font family to use, I was wondering whether X font family
> completions would be worthwhile to add for others to use as well?
>
> Currently there's no any kind of caching, not sure would that be needed
> on modern systems? When I looked at x_font for inspiration, it had a
> big fat sign that its caching "*has* to be improved" so not sure what
> would be considered elegant or optimal here.
>
> Tested on RHEL 7.
>
> ---
>  Completion/X/Type/_x_font_family | 6 ++++++
>  1 file changed, 6 insertions(+)
>  create mode 100644 Completion/X/Type/_x_font_family
>
> diff --git a/Completion/X/Type/_x_font_family b/Completion/X/Type/_x_font_family
> new file mode 100644
> index 0000000..48a1f23
> --- /dev/null
> +++ b/Completion/X/Type/_x_font_family
> @@ -0,0 +1,6 @@
> +#autoload
> +
> +local expl
> +
> +_wanted font-families expl 'font family' compadd "$@" \
> +  ${(f)"$(fc-list : -f "%{family|downcase|delete( )|translate(\,,\n)}\n")"}
>
> Thanks,

It would probably be less confusing if this was called
_fc_font_family, since X fonts are something else. This one should
probably not even be in the X/ directory.

-- 
Mikael Magnusson